Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class EntryOptionsImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.EntryOptionsImpl

All Implemented Interfaces:
  EntryOptions

Direct Known Subclasses:
  AddEntryOptionsImpl

    public class EntryOptionsImpl

extends java.lang.Object
implements EntryOptions

This class is used to set the options for an entry

Version:
  $Revision: 1.3 $
Author:

Constructor Summary
`protected` | `EntryOptionsImpl()`

Method Summary
`boolean` | `getIgnoreAttributeIDCase()` retrieves the value set for ignoring attribute ID case.
`boolean` | `getOrderAttributeValues()` retrieves the value set for ordering attribute values.
`void` | `reset()` Method to reset the values
`void` | `setIgnoreAttributeIDCase(boolean ignoreCase)` sets the value for ignoreAttributeIDCase.
`void` | `setOrderAttributeValues(boolean orderValues)` sets the value for orderAttributeValues.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntryOptionsImpl

    protected EntryOptionsImpl()

Method Detail

### getIgnoreAttributeIDCase

    public boolean getIgnoreAttributeIDCase()

  retrieves the value set for ignoring attribute ID case.

  Specified by:
    `getIgnoreAttributeIDCase` in interface `EntryOptions`
  Returns:
    the boolean value set for ignoring attribute ID case.

### setIgnoreAttributeIDCase

    public void setIgnoreAttributeIDCase(boolean ignoreCase)

  sets the value for ignoreAttributeIDCase. setting to true denotes that the case of the attribute ID should be ignored (case-insensitive).

  Specified by:
    `setIgnoreAttributeIDCase` in interface `EntryOptions`
  Parameters:
    `ignoreCase` - setting to true will ignore case

### getOrderAttributeValues

    public boolean getOrderAttributeValues()

  retrieves the value set for ordering attribute values.

  Specified by:
    `getOrderAttributeValues` in interface `EntryOptions`
  Returns:
    the boolean value set for ordering of attribute values.

### setOrderAttributeValues

    public void setOrderAttributeValues(boolean orderValues)

  sets the value for orderAttributeValues. setting to true denotes that the attribute values have to be ordered.

  Specified by:
    `setOrderAttributeValues` in interface `EntryOptions`
  Parameters:
    `orderValues` - setting to true will order the attribute values

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `EntryOptions`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD